rte_cryptodev_scheduler(3)

NAME
rte_cryptodev_scheduler

SYNOPSIS

#include <rte_cryptodev_scheduler.h>

  Data Fields

const char * name
const char * description
enum rte_cryptodev_scheduler_mode mode
struct rte_cryptodev_scheduler_ops * ops

Detailed Description

The data structure associated with each mode of scheduler.

Definition at line 262 of file rte_cryptodev_scheduler.h.

Field Documentation

  const char* name
Scheduler name

Definition at line 263 of file rte_cryptodev_scheduler.h.

  const char* description
Scheduler description

Definition at line 264 of file rte_cryptodev_scheduler.h.

  enum rte_cryptodev_scheduler_mode mode
Scheduling mode

Definition at line 265 of file rte_cryptodev_scheduler.h.

  struct rte_cryptodev_scheduler_ops* ops
Pointer to scheduler operation structure

Definition at line 268 of file rte_cryptodev_scheduler.h.

Author

Generated automatically by Doxygen for DPDK from the source code.